.section .rodata
.global TEXT_START
.global TEXT_END
.global RODATA_START
.global RODATA_END
.global DATA_START
.global DATA_END
.global SDATA_START
.global SDATA_END
.global BSS_START
.global BSS_END
.global INITIAL_KERNEL_HEAP_START
.global INITIAL_KERNEL_HEAP_SIZE
.global USABLE_MEMORY_START
.global USABLE_MEMORY_SIZE

TEXT_START:					.quad _text_start
TEXT_END:					.quad _text_end
RODATA_START:				.quad _rodata_start
RODATA_END:					.quad _rodata_end
DATA_START:					.quad _data_start
DATA_END:					.quad _data_end
SDATA_START:				.quad _sdata_start
SDATA_END:					.quad _sdata_end
BSS_START:					.quad _bss_start
BSS_END:					.quad _bss_end
INITIAL_KERNEL_HEAP_START:	.quad _initial_kernel_heap_start
INITIAL_KERNEL_HEAP_SIZE:	.quad _initial_kernel_heap_size
USABLE_MEMORY_START:		.quad _usable_memory_start
USABLE_MEMORY_SIZE:			.quad _usable_memory_size
