use crossbeam_queue::{ArrayQueue, SegQueue};

use super::message::Message;

enum BufferTypes {
    Unbound(SegQueue<Message>),
    Bound(ArrayQueue<Message>),
}

pub struct IpcBuffer {
    protocol: Protocol,
    buffer:   BufferTypes,
}

pub struct Protocol {}
